#!/bin/sh

# autorun.sh
#
# WonderMedia Linux BSP auto installatopn script 
#
# This script is derived from VT8430 Linux BSP installation script.
#
# This shell script is for ash in busybox. Ash is not as smart as bash.
# Therefore, only the basic shell syntax can be used in ash.
# Please note that a bash shell script may not work in ash.
#
# Written by Vincent Chen <vincentchen@wondermedia.com.tw>
#
# Copyright 2008-2009 WonderMedia Corporation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY WONDERMEDIA CORPORATION ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL WONDERMEDIA CORPORATION OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.


#this script has been modified by 'diabetu' (dia_betu@yahoo.com - nanospic.ro)
#WM8850 RootBurner Tool v0.1 - 09-08-2012

get_dir ()
{
	for d in $@ ; do
		if [ -e "$d/$2" ]; then
			eval "$1=$d"
			break
		fi
	done
}

src_dir=
get_dir src_dir bspinst_api.sh `find /mnt -type d -maxdepth 3`
src_dir=`echo $src_dir | sed 's/\/bin//g'`

if [ -z $src_dir ]; then
	echo "Can't find install source. Abort!"
	exit 0
fi

#stop kernel animation
echo "0" > /proc/kernel_animation

source $src_dir/bin/bspinst_api.sh
source $src_dir/shellui/runui.sh
mkdir $src_dir/test_system

export PATH=.:$src_dir/bin:$PATH

mdev -s
get_var $@
load_config

#Quiet modprobe fusion
Quiet mount -t proc none /proc
Quiet mount -t tmpfs none /dev/shm

fstype=`cat /proc/mounts |grep \/dev\/root|cut -d\  -f3| head -n 1`
echo "fstype = $fstype" >> ${outfile}

if [ "$fstype" == "yaffs2" ]; then
	return 0
else

	run_ui ${src_dir} ${TYPE_UPDATE}
	msg_title "WM8850 RootBurner Tool by diabetu ..."
	msg_info "DON'T REMOVE SD CARD..."

	ratio 0
	msg "Starting rooting process..."  
		
	blk_Nand_SYS="system"
	mtd_filesystem=`get_mtdblock "${blk_Nand_SYS}"`
	mount ${mtd_filesystem} $src_dir/test_system
	ratio 10
	sleep 1 
	
	msg "Copy the necessary files..."  
	ratio 20
	sleep 1
	
	msg "Copy 'su' file version 3.1.1 ..."  
	/bin/cp -aR $src_dir/rootburner/su $src_dir/test_system/xbin/  #ver 3.1.1
	chmod 6755 $src_dir/test_system/xbin/su
	ratio 30
	sleep 1
	msg "Copy 'Superuser.apk' file version 3.1.1 ..."  
	/bin/cp -aR $src_dir/rootburner/Superuser.apk $src_dir/test_system/app/Superuser.apk
	chmod 644 $src_dir/test_system/app/Superuser.apk
	ratio 40
	sleep 1
	msg "Copy 'busybox' file version 1.19.4 ..."  
	/bin/cp -aR $src_dir/rootburner/busybox $src_dir/test_system/bin/ 
	chmod 755 $src_dir/test_system/bin/busybox
	ratio 50
	sleep 1

	msg "Thanks to 'AndroidSU.com' for 'Superuser.apk' and 'su' files !"
	ratio 60
	sleep 1
	msg "Thanks to 'busybox.net' for 'busybox' utilities !"
	ratio 70
	sleep 1
	msg "Thanks to 'techknow.t0xic.nl' and HCH !"
	ratio 80
	sleep 1
	msg "Looking for updates on 'nanospic.ro' !"
	ratio 90
	sleep 1
	
	
fi

	mrdir $src_dir/test_system
	
	ratio 100
	msg "WM8850 RootBunner - The rooting process is complete."

if [ $ROOT_DEV -eq $DEV_TF ] || [ $ROOT_DEV -eq $DEV_UDISK ]; then
     echo "restart udevd daemon"
     udevd --daemon
fi

sync

unmount_all


msg_info "PLEASE REMOVE SD CARD..."
while [ -e $0 ]; do
	read -t 1 key
	if [ $? -eq 0 ]; then
		break
	fi
done

#Quiet wait_reboot $TIMEOUT_EXIT
msg_info "System will reboot in $t seconds"
exit_ui "OK"
reboot -f -n

